Bug 805997 - [REST API] git-uri for application is missing
[REST API] git-uri for application is missing
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity urgent
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 12:08 EDT by Andre Dietisheim
Modified: 2015-05-14 21:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-stickshift-controller-0.7.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Dietisheim 2012-03-22 12:08:02 EDT
The only git-uri that the REST service currently reports is the one on the gear:

<response>
  <messages/>
  <data>
    <gear>
      ...
      <uuid>de33eace81a741bea1d55c467bf68475</uuid>
      <git-url>ssh://XXXXX/~/git/jbossas.git/</git-url>
    </gear>

According to what we discussed in our meeting, this git uri is not the one that the user shall push it's code changes too. We therefore need a git-uri property on application resource.
Comment 1 Abhishek Gupta 2012-03-27 18:22:04 EDT
A new property (git_url) has been added to the XML/JSON output of the application object being returned for a REST call.
Comment 2 Xiaoli Tian 2012-03-29 05:59:21 EDT
(In reply to comment #1)
> A new property (git_url) has been added to the XML/JSON output of the
> application object being returned for a REST call.

Test it on devenv_1679, git url is provided:
      <git-url>ssh://9ff35777cc6c436dabef1d7414fe649d@scaleruby1-domx58.dev.rhcloud.com/~/git/scaleruby1.git/</git-url>
      <creation-time>2012-03-29T02:14:17-04:00</creation-time>
      <framework>ruby-1.8</framework>

Note You need to log in before you can comment on or make changes to this bug.